/* login.css */
@import url(./base.css);

body{
    align-items: flex-start;
    flex-direction: column;
}
.body--block--left{
    width: 100%;
    flex: unset;
    height: 7em;
    font-size: .8em;
    flex-direction: row-reverse;
    align-items: center;
}

.body--block--right{
    background-image: none;
    position: relative;
    z-index: 3;
    display: block;
    padding-top: 2em;
    text-align: center;
    flex: 1;
    overflow-y: auto;
}

body{
    height: unset;
    min-height: 100%;
}

@media (max-width: 700px){
    .logo--container{
        margin-bottom: 4em !important;
    }
}

.body--block--left .logo{
    height: 4em;
    border: 0;
    margin: 0;
}

.input--group{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 1em;
}

.body--block--right::before{
    display: none;
}

form{
    margin: 0 auto;
    margin-top: 2em;
}

form label{
    text-align: left;
    margin-bottom: .2em;
    display: block;
}

.logo--container > .logo{ margin: 0 auto }

body::before{
    content: '';
    top: 0;
    left: 0;
    position: absolute;
    background-color: var(--opacityColor);
    width: 100%;
    height: 100%;
}

.input--group > input{ margin-bottom: 0 !important }
.input--group > input:not(:last-child){ margin-right: .4em }

.privacy--group{
    display: flex;
    margin-bottom: 1em;
}

input[type="checkbox"]{
    width: 1em;
    height: 1em;
}

.privacy--group input{ margin-right: .8em }
.privacy--group a{ color: inherit }

.privacy--group label{
    opacity: .7;
    user-select: none;
    -webkit-user-select: none;
}

button[disabled]{
    pointer-events: none;
    opacity: .4;
}